Get Overview
curl --request GET \
--url https://api.eesi.ai/v1/superuser/analytics/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eesi.ai/v1/superuser/analytics/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eesi.ai/v1/superuser/analytics/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"window": {
"days": 123,
"current_start": "2023-11-07T05:31:56Z",
"current_end": "2023-11-07T05:31:56Z",
"previous_start": "2023-11-07T05:31:56Z",
"previous_end": "2023-11-07T05:31:56Z"
},
"metrics": {},
"live": {},
"lifetime": {},
"daily": [
{
"date": "2023-12-25",
"values": {}
}
],
"plans": [
{}
],
"top_organizations": [
{}
],
"top_users": [
{}
],
"rate_card": {},
"minutes": {},
"lifetime_minutes": {},
"daily_previous": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Get Overview
Executive snapshot: every headline metric vs the previous window.
GET
/
v1
/
superuser
/
analytics
/
overview
Get Overview
Authorizations
BearerAuthApiKeyHeader
An EESI API key (sk-eesi-...) or a Clerk session token.
Query Parameters
Window length in days
Required range:
1 <= x <= 365Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes